package main

import (
	"testing"

	"github.com/go-playground/assert/v2"
)

func TestSymbolToBool(t *testing.T) {
	//t.Skip("skipping test")
	input := []string{
		"467..114..",
		"...*......",
		"..35..633.",
		"......#...",
	}

	expected := [][]bool{
		{false, false, false, false, false, false, false, false, false, false},
		{false, false, false, true, false, false, false, false, false, false},
		{false, false, false, false, false, false, false, false, false, false},
		{false, false, false, false, false, false, true, false, false, false},
	}

	bool_matrix := [][]bool{}
	for _, line := range input {
		bool_matrix = append(bool_matrix, symbolToBool(line))
	}

	t.Run("Should produce equal boolean matrices", func(t *testing.T) {
		assert.Equal(t, expected, bool_matrix)
	})
}

func TestCheckDigit(t *testing.T) {
	//t.Skip("skipping test")
}
